Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(253)

Unified Diff: gpu/demos/run_demo_ppapi.sh

Issue 3132017: GLES demos on PPAPI. (Closed)
Patch Set: Removed DEPS, they are already up to date. Created 10 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « gpu/demos/gles2_book/demo_texture_wrap.cc ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: gpu/demos/run_demo_ppapi.sh
diff --git a/gpu/demos/run_demo_ppapi.sh b/gpu/demos/run_demo_ppapi.sh
new file mode 100755
index 0000000000000000000000000000000000000000..fba5ad100138ac1a2b0b8a7e5d637f9d559ec2ea
--- /dev/null
+++ b/gpu/demos/run_demo_ppapi.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright (c) 2010 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+if [ -z "$1" ]; then
+ echo "Usage: $(basename "$0") <demo_name> [--debug]" >&2
+ echo >&2
+ echo "Builds and runs PPAPI demo inside Chrome." >&2
+ echo "Debug flag attaches the debugger to renderer process." >&2
+ echo >&2
+ echo "Try: $0 hello_triangle" >&2
+ echo >&2
+ exit 1
+fi
+if [ "$2" == "--debug" ]; then
+ CHROME_DEBUG="--renderer-cmd-prefix=xterm -geometry 150x40 -e gdb --args"
+else
+ CHROME_DEBUG=
+fi
+CHROME_SRC="$(dirname "$(dirname "$(dirname "$(readlink -f "$0")")")")"
+PLUGIN_LIB="$CHROME_SRC/out/Debug/lib${1}_ppapi.so"
+PLUGIN_MIME="pepper-application/x-gpu-demo"
+cd "$CHROME_SRC"
+make "${1}_ppapi" && out/Debug/chrome --use-gl=osmesa --enable-gpu-plugin \
+ "${CHROME_DEBUG}" \
+ --register-pepper-plugins="$PLUGIN_LIB;$PLUGIN_MIME" \
+ "file://$CHROME_SRC/gpu/demos/pepper_gpu_demo.html"
+
« no previous file with comments | « gpu/demos/gles2_book/demo_texture_wrap.cc ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698